#include <stdio.h>
#include <stdlib.h>
#include <stdlib.h>

static  char a[200000];
int main()
{

  char b[10];
  scanf("%s",a);
  scanf("%s",b);

  char *o=strchr(a,'a');


 if(strlen(a)>strlen(b))
 {


  while(o)
{
    *o='*';
    o=strchr(o,'a');

}
printf("%s",a);
 }
else
printf("%s",a);








    return 0;
}